# Generated from veryfi-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name veryfi

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Veryfi SDK for Ruby
License: MIT
URL: https://rubygems.org/gems/veryfi
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bundler-audit) >= 0.9
# BuildRequires: rubygem(bundler-audit) < 1
# BuildRequires: rubygem(pry) >= 0.14
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its) >= 1.3
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(rubocop) >= 0.82
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.38
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-badge) >= 2.0
# BuildRequires: rubygem(simplecov-badge) < 3
# BuildRequires: rubygem(vcr) >= 6.0
# BuildRequires: rubygem(vcr) < 7
# BuildRequires: rubygem(webmock) >= 3.14
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
Veryfi SDK for Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.semaphore
%{gem_instdir}/bin
%{gem_instdir}/coverage
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docs
%{gem_instdir}/veryfi.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.3-1
- Initial package
